Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class ClassGenException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.apache.bcel.generic.ClassGenException

All Implemented Interfaces:
  java.io.Serializable

public class ClassGenException
extends java.lang.RuntimeException

Thrown on internal errors. Extends RuntimeException so it hasn't to be declared in the throws clause every time.

Version:
  $Id: ClassGenException.java,v 1.1.1.1 2001/10/29 20:00:07 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Constructor Summary
`ClassGenException()`
`ClassGenException(java.lang.String s)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassGenException

    public ClassGenException()

### ClassGenException

    public ClassGenException(java.lang.String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.